<bugID>1282664<Summary>Redesign the right-click menu for each item in downloads panel</Summary><Description>We need to consider the 9 kinds of state when an item is clicked with right-click. This is based on UX spec https://mozilla.invisionapp.com/share/4Y6ZZH1E8#/screens/162255338 .

9 kinds of state
* Starting/Downloading
* Completed
* Cancelled
* Paused
* Deleted
* Failed
* Malware
* Uncommon Download</Description></bugID>